#!/bin/sh
APKG_DIR=${APKG_REPO_DIR}"/"${APKG_PKG_NAME}
LETSENCRYPT_CERTBOT_FOLDER=/usr/local/AppCentral/letsencrypt/.CertBot

# Check the status
case "$APKG_PKG_STATUS" in
	install)
		if [ ! -f /usr/builtin/lib/apache2/modules/libphp5.so ]; then
			if [ -f /usr/builtin/etc/apache2/mods-enabled/php5.conf ]; then
				rm /usr/builtin/etc/apache2/mods-enabled/php5.conf
			fi
		fi
		mkdir -p /usr/builtin/etc/certificate/letsencrypt/.well-known/acme-challenge

		# install certbot
		if [ ! -d $LETSENCRYPT_CERTBOT_FOLDER ]; then
            mkdir -p $LETSENCRYPT_CERTBOT_FOLDER
        fi
		/usr/local/bin/pip3 install --upgrade pip
		/usr/local/bin/pip3 install certbot

		/bin/ln -s /usr/local/AppCentral/python3/bin/certbot /usr/local/bin/certbot
		;;
	upgrade)
		# keep the old certificate
		if [ -d $APKG_TEMP_DIR/.acme.sh ]; then
			/bin/cp -rf $APKG_TEMP_DIR/.acme.sh/* /usr/local/AppCentral/letsencrypt/.acme.sh/
		fi

		# install certbot
		if [ -d $LETSENCRYPT_CERTBOT_FOLDER ]; then
                    mkdir -p LETSENCRYPT_CERTBOT_FOLDER
            	fi
		/usr/local/bin/pip3 install --upgrade pip
		/usr/local/bin/pip3 install certbot

		/bin/ln -s /usr/local/AppCentral/python3/bin/certbot /usr/local/bin/certbot
		;;
	*)
		;;
esac

exit 0
